Extending Qt Creator Manual | GenericProposalWidget

Extending Qt Creator Manual 4.3.0

# GenericProposalWidget Class

(TextEditor::GenericProposalWidget)

Inherits: | TextEditor::IAssistProposalWidget

- List of all members, including inherited members

## Public Functions

| GenericProposalWidget()
| ~GenericProposalWidget()

- 10 public functions inherited from TextEditor::IAssistProposalWidget

## Protected Functions

bool | activateCurrentProposalItem()
GenericProposalModel * | model()

### Additional Inherited Members

- 3 signals inherited from TextEditor::IAssistProposalWidget

## Member Function Documentation

### GenericProposalWidget::GenericProposalWidget()

Default constructs an instance of GenericProposalWidget.

### GenericProposalWidget::~GenericProposalWidget()

Destroys the instance of GenericProposalWidget.

### `[protected]` bool GenericProposalWidget::activateCurrentProposalItem()

### `[protected]` GenericProposalModel *GenericProposalWidget::model()